sh_stat.d(1m)

NAME
sh_stat.d - Bourne shell operation stats using DTrace.

SYNOPSIS
sh_stat.d [interval [count]]

DESCRIPTION
This traces activity from all sh processes on the system that are running with sh provider support. The numbers are counts for the interval specified. The default interval is 1 second. If you see a count in "EXECS" but not in the other columns, then sh scripts may be running without the DTrace sh provider. See Shell/Readme. Filename and function names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Shell provider, which may change as additional features are introduced. Check Shell/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # sh_stat.d

FIELDS

EXEC/s
    Bourne shells executed per second, including those without sh provider support

FUNC/s
    Functions called, per second

BLTIN/s
    Builtins called, per second

SUB-SH/s
    Sub-shells called, per second

CMD/s
    External commands called, per second

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
sh_stat.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)